class "shape" {
	__settings=
	{
		new=
		function(shape)
			local tab={{}}
			local props={}
			local rot=1
			local linen=0
			for info in love.filesystem.lines("classes/shapes/"..shape..".txt") do
				linen=linen+1
				if linen<=20 then
					if linen%5==0 then
						rot=rot+1
						tab[rot]={}
					else
						local data={}
						for char in info:gmatch(".") do
							data[#data+1]=char=="1"
						end
						tab[rot][linen%5]=data
					end
				else
					local prop,val=info:match("(%w+)=(.+)")
					if val:sub(1,1)=="{" then
						val=stringToTab(val)
					elseif tonumber(val) then
						val=tonumber(val)
					end
					props[prop]=val
				end
			end
			local rtab={pattern=tab,shape=shape}
			for i,v in pairs(props) do
				rtab[i]=v
			end
			return rtab
		end,
		mt={};
	},

	rot=1;
	color={0,0,255};
	shape="I";

	getShape=
	function(val)
		val=val or self.rot
		return self.pattern[val]
	end,

	draw=
	function(x,y,val)
		love.graphics.setColor(self.color)
		for _y,row in pairs(self.getShape(val)) do
			for _x,char in pairs(row) do
				love.graphics.print(char and "D" or " ",x+_x*16,y+_y*16)
			end
		end
	end
}