function tabToString(tab,str)
	local r="{"
	for i,v in pairs(tab) do
		if type(v)=="number" then
			r=r..v
		elseif type(v)=="string" then
			r=r.."\""..v.."\""
		end
		r=r..","
	end
	return r:sub(1,#r-1).."}"
end

function stringToTab(str)
	local tab={}
	str=str:sub(2,#str-1)
	str=str..","
	for val in str:gmatch("[^,]+") do
		local rval
		if val:sub(1,1)=="\"" then
			rval=val:match("")
		elseif tonumber(val) then
			rval=tonumber(val)
		end
		tab[#tab+1]=rval
	end
	return tab
end